<?php
namespace Ak\Hydrator;

use Laminas\ServiceManager\Factory\InvokableFactory;

/**
 * Pruža konfiguraciju komponente.
 *
 * @package Ak\Hydrator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/hydrator
 */
final class ConfigProvider
{
    /**
     * Vraća konfiguraciju
     *
     * @return array
     */
    public function __invoke(): array
    {
        return [
            'hydrators' => [
                'shared_by_default' => true,

                'aliases' => [
                    'readonly' => ReadOnlyHydrator::class,
                ],

                'factories' => [
                    ReadOnlyHydrator::class => InvokableFactory::class,
                ],
            ],
        ];
    }
}
